<?php
/**
 * Block Patterns
 *
 * @package futuristic_vision
 * @since 1.0
 */

function futuristic_vision_register_block_patterns() {
	$futuristic_vision_block_pattern_categories = array(
		'futuristic-vision' => array( 'label' => esc_html__( 'Futuristic Vision', 'futuristic-vision' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'futuristic-vision' ) ),
	);

	$futuristic_vision_block_pattern_categories = apply_filters( 'futuristic_vision_futuristic_vision_block_pattern_categories', $futuristic_vision_block_pattern_categories );

	foreach ( $futuristic_vision_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'futuristic_vision_register_block_patterns', 9 );